[ОТВЕТИТЬ]
Опции темы
17.03.2016 16:45  
baggio

странно что не сработа ссылка выше

и да... ставьте на 32 бита...
 
"Спасибо" baggio от:
17.03.2016 16:57  
Truyaka
Цитата:
Сообщение от baggio

странно что не сработа ссылка выше

и да... ставьте на 32 бита...
вау, огромное спасибо.

а что с 64-битной версией?
там просто вот что написано:
>>для 32х битных систем, на данный момент доступна только тестовая версия.
 
17.03.2016 23:20  
MWWRuza
baggio, вечер добрый!
А как с обновлением дела обстоят? Цепляет новую 2.0.2 версию, или пока нет?
 
17.03.2016 23:24  
baggio
Цитата:
Сообщение от MWWRuza
baggio, вечер добрый!
А как с обновлением дела обстоят? Цепляет новую 2.0.2 версию, или пока нет?
А хз... так как я в прошлый раз из работающего магаза ключ стырил... нпасегда стырить не могу...
Но учитывая что оно на джаве не вижу причин чтобы не обновилось...
Если не автоматом то руками можно я думаю... гадать тут безсмысленно... нужно пробовать
 
"Спасибо" baggio от:
21.03.2016 16:08  
Megla
Цитата:
Сообщение от baggio
Information for provider SunPKCS11-TransportTerminal
Library info:
cryptokiVersion: 2.20
manufacturerID: Athena Smartcard Solutions
flags: 0
libraryDescription: ASE Cryptoki
libraryVersion: 3.01
All slots: (none)
Slots with tokens: (none)
baggio, а как удалось побороть ошибку, когда ключ не виделся?
 
22.03.2016 03:16  
Megla
Пока ждал ответа раскопал сам:
нужно добавить идентификатор JaCarta в файл "/etc/libccid_Info.plist" следуя инструкциям на демон "pcscd".
По умолчанию демон не знает что наша JaCarta есть SmartCard и не хочет с ней работать.

В файле находим раздел:
<key>ifdVendorID</key>
и после <array> добавляем:
<string>0x24DC</string>

Находим раздел:
<key>ifdProductID</key>
и после <array> добавляем:
<string>0x0101</string>

Сохраняем и перезагружаем девайс.
Вуаля. Все заработало.
 
"Спасибо" Megla от:
22.03.2016 11:08  
baggio
э.... так я вроде этот шаг гдето тут описывал... разобрав пакет deb...
 
23.03.2016 01:13  
Megla
Да. Точно. Было. На первой странице. Но достаточно неявно)
Главное заработало в результате.
 
23.03.2016 01:17  
Megla
Кстати.
Обнова с 1.0.7 на 1.0.8 не проходит :(
Записываются файлы, но не корректные и запуск транспорта более не происходит(

Если обновить ручками - все работает.

Обновление с 1.0.8 до 1.0.9 - проходить на ура.

Обновление с 1.0.9 до 1.0.10 - не идет. Файлы скачиваются, но не устанавливаются. В логах пишет что обновление заблокировано.
Хотя на винде с этим же ключом обновление проходит.
Если установить ручками - все работает.

Продуктивную версию не проверял, работаю только с тестовой.
 
"Спасибо" Megla от:
23.03.2016 13:53  
grigoriyp
Слил образ, залил на малину (могу написать, как сделать thruncate, чтобы образ не весил 14 гигов и умещался на 8 гиговую флэшку), воткнул ключ. Не хотит... Ругается на то, что не может загрузить библиотек libASEP11.so...

На нормальной машине x64 openSUSE всё пошло нормально, правда библиотеки пришлось собирать из 3-х разных версий, дабы заработало.
Брал 2 разные эти библиотеки, из разных версий, одну не может загрузить, другая рушит Йаву... В чём может быть проблема?
 
 


Опции темы



Часовой пояс GMT +3, время: 08:52.

Все в прочитанное - Календарь - RSS - - Карта - Вверх 👫 Яндекс.Метрика
Форум сделан на основе vBulletin®
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd. Перевод: zCarot и OlegON
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.